diff --git a/app/Http/Controllers/HomeControllerNew.php b/app/Http/Controllers/HomeControllerNew.php
index b487755..51307cd 100644
--- a/app/Http/Controllers/HomeControllerNew.php
+++ b/app/Http/Controllers/HomeControllerNew.php
@@ -26,6 +26,8 @@
 
 class HomeControllerNew extends Controller
 {
+    protected $gerenteMarcaFilter;
+
     /**
      * Create a new controller instance.
      *
@@ -407,7 +409,9 @@ public function datasetTableTopMedicosPrescriptores(Request $request)
 
         //DataCompleteRxMedicos
         if ($filterCampaing) {
-            if (is_numeric($campos['cod_evento'])) {
+
+            $codEventosLimpios = explode(',', $campos['cod_evento']);
+            if (is_array($codEventosLimpios) && count($codEventosLimpios) > 0) {
                 $dataset = Prescripciones::query()
                     ->selectRaw('cedula,medico,close_up_rxmedico_10_2022.ciudad,close_up_rxmedico_10_2022.especialidad,SUM(close_up_prescripciones) as prescripciones')
                     ->leftJoin('eventos_detalle', 'close_up_rxmedico_10_2022.cedula', '=', 'eventos_detalle.identificacion_medico')
@@ -469,7 +473,7 @@ public function datasetTableTopMedicosPrescriptores(Request $request)
                     ->whereBetween('fecha', [$fecha_start, $fecha_end])
                     ->where('laboratorio', "FARMA DE COLOMBIA")
                     ->get();
-                // dd('HOLA');
+                // dd($periodos->toSql(), $periodos->getBindings());
             } else {
                 $dataset = collect();
                 $periodos = collect();
@@ -661,7 +665,7 @@ public function datasetTableTopMedicosPrescriptores(Request $request)
         ]);
     }
 
-    public function data_prescripciones_refactorizado(Request $request)
+    public function data_prescripciones_refactorizado(Request $request, GerenteMarcaFilter $gerenteMarcaFilter)
     {
         $sw_tipo_consulta = $request->tipoConsulta;
         $rango_fecha = $request->get('rangoFecha');
@@ -694,6 +698,8 @@ public function data_prescripciones_refactorizado(Request $request)
         $origen = $request->get('origen');
         $marcasResponse = $request->get('marca') == 'TODAS' ? null : $request->get('marca');
         $canales = $request->get('tipo_canal') ?? ['Todos'];
+        $this->gerenteMarcaFilter = $gerenteMarcaFilter;
+
 
 
         //EL MODELO prescripcionesGenerales SE USA PARA IR A CONSULTAR A MARKET
@@ -869,12 +875,13 @@ public function data_prescripciones_refactorizado(Request $request)
             }
 
             if ($sw_tipo_consulta == 'codEvento' || $request->get('cod_evento')) {
-                //tipo Query2
-                $cod_evento = $request->get('cod_evento');
-                if (is_numeric($cod_evento)) {
+                //tipo Query2   
+                $codEventosLimpios = $this->gerenteMarcaFilter->cleanCodEvento($request->get('cod_evento'));
+
+                if (is_array($codEventosLimpios) && count($codEventosLimpios) > 0) {
                     $marca = Marcas::where('id', $marcasResponse)->pluck('nombre')->first();
                     $prescripcionesFarma = $prescripcionesFarma->join('eventos_detalle', 'close_up_rxmedico_10_2022.cedula', '=', 'eventos_detalle.identificacion_medico')
-                        ->where("cod_evento", $cod_evento)
+                        ->whereIn("cod_evento", $codEventosLimpios)
                         ->where('participacion', 'X')
                         ->where(function ($query) use ($marca) {
                             if ($marca) {
@@ -883,7 +890,7 @@ public function data_prescripciones_refactorizado(Request $request)
                             }
                         });
                     $prescripcionesCompetencia = $prescripcionesCompetencia->join('eventos_detalle', 'close_up_rxmedico_10_2022.cedula', '=', 'eventos_detalle.identificacion_medico')
-                        ->where('cod_evento', $cod_evento)
+                        ->where('cod_evento', $codEventosLimpios)
                         ->where('participacion', 'X')
                         ->where(function ($query) use ($marca) {
                             if ($marca) {
@@ -892,7 +899,7 @@ public function data_prescripciones_refactorizado(Request $request)
                             }
                         });
                     $top_5_marcas = $top_5_marcas->join('eventos_detalle', 'close_up_rxmedico_10_2022.cedula', '=', 'eventos_detalle.identificacion_medico')
-                        ->where('cod_evento', $cod_evento)
+                        ->where('cod_evento', $codEventosLimpios)
                         ->where('participacion', 'X')
                         ->where(function ($query) use ($marca) {
                             if ($marca) {
@@ -1045,12 +1052,14 @@ public function data_prescripciones_refactorizado(Request $request)
 
         $validacionPresc = false;
         if ($request->get('numeroDocumento') || $request->get('cod_evento')) {
-            // dd('SIISAF');
+
+            $codEventosLimpios = $this->gerenteMarcaFilter->cleanCodEvento($request->get('cod_evento'));
+            // dd($codEventosLimpios);
             $totalesMercadosPorMarcas = prescripciones::selectRaw("$fecha_formateada, SUM(close_up_prescripciones) AS total_mercado")
-                ->when($request->get('cod_evento'), function ($query) use ($request) {
+                ->when($request->get('cod_evento'), function ($query) use ($request, $codEventosLimpios) {
                     // Hacemos el JOIN solo si el 'cod_evento' está presente en la solicitud
                     $query->join('eventos_detalle as ed1', 'close_up_rxmedico_10_2022.cedula', '=', 'ed1.identificacion_medico')
-                        ->where('ed1.cod_evento', $request->get('cod_evento'));
+                        ->whereIn('ed1.cod_evento', $codEventosLimpios);
                 })
                 ->orderBy('fecha', 'DESC')
                 ->where(function ($query) use ($request) {
@@ -1146,12 +1155,14 @@ public function data_prescripciones_refactorizado(Request $request)
 
         if ($request->get('numeroDocumento')  || $request->get('cod_evento')) {
 
+            $codEventosLimpios = $this->gerenteMarcaFilter->cleanCodEvento($request->get('cod_evento'));
+
             $totalesPrescFarma = Prescripciones::selectRaw("$fecha_formateada, SUM(close_up_prescripciones) AS total_mercado")
                 ->whereRaw($whereRawFecha)
-                ->when($request->get('cod_evento'), function ($query) use ($request) {
+                ->when($request->get('cod_evento'), function ($query) use ($request, $codEventosLimpios) {
                     // Hacemos el JOIN solo si el 'cod_evento' está presente en la solicitud
                     $query->join('eventos_detalle as ed1', 'close_up_rxmedico_10_2022.cedula', '=', 'ed1.identificacion_medico')
-                        ->where('ed1.cod_evento', $request->get('cod_evento'));
+                        ->where('ed1.cod_evento', $codEventosLimpios);
                 })
                 ->where(function ($query) use ($request) {
                     if ($request->get('marca') && $request->get('marca') != 'TODAS') {
@@ -1271,100 +1282,106 @@ public function data_prescripciones_refactorizado(Request $request)
         }
 
         if (array_key_exists('identificacion_medico', $campos) || array_key_exists('especialidad', $campos)) {
-            $campanas = Eventos::query()->selectRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY') as fecha_formateada, COUNT(distinct eventos.cod_evento) AS campanas")
-                ->leftJoin('eventos_detalle', 'eventos.cod_evento', '=', 'eventos_detalle.cod_evento')
-                ->leftJoin('sub_lineas_eventos_detalle', 'eventos_detalle.cod_detalle', '=', 'sub_lineas_eventos_detalle.cod_detalle_id')
-                ->join('canales as c', 'eventos.tipo_canal', '=', 'c.id')
-                ->leftJoin('sub_lineas', 'eventos_detalle.sub_linea', '=', 'sub_lineas.id')
-                ->whereBetween('fecha_evento', [$fecha_start, $fecha_end])
-                ->where(function ($query) use ($campos) {
-                    if (count($campos['tipo_canal'])) {
-                        $query->whereIn('tipo_canal', $campos['tipo_canal']);
-                    }
-                })
-                ->where(function ($query) use ($campos) {
-                    $query->where(function ($query) use ($campos) {
-                        if (array_key_exists('sub_linea', $campos)) {
-                            $subLineas = $campos['sub_linea'];
-                            $query->whereIn('eventos_detalle.sub_linea', $subLineas);
-                            // ->orWhereIn('sub_lineas_eventos_detalle.sub_linea_id', $subLineas);
-                            if (array_key_exists('especialidad', $campos)) {
-                                $especialidad = $campos['especialidad'];
-                                if ($especialidad != 'TODAS') {
-                                    $query->where('sub_lineas_eventos_detalle.especialidad_nombre', $especialidad);
-                                }
-                            }
+            // $cod_Evento = $request->get('cod_evento');
+            if ($request->get('cod_evento') != null && !is_null($request->get('cod_evento')) && $request->get('cod_evento') != '') {
+                $codEventosLimpios = $this->gerenteMarcaFilter->cleanCodEvento($request->get('cod_evento'));
+                $campanas = Eventos::query()->selectRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY') as fecha_formateada, COUNT(distinct eventos.cod_evento) AS campanas")
+                    ->leftJoin('eventos_detalle', 'eventos.cod_evento', '=', 'eventos_detalle.cod_evento')
+                    ->leftJoin('sub_lineas_eventos_detalle', 'eventos_detalle.cod_detalle', '=', 'sub_lineas_eventos_detalle.cod_detalle_id')
+                    ->join('canales as c', 'eventos.tipo_canal', '=', 'c.id')
+                    ->leftJoin('sub_lineas', 'eventos_detalle.sub_linea', '=', 'sub_lineas.id')
+                    ->whereBetween('fecha_evento', [$fecha_start, $fecha_end])
+                    ->where(function ($query) use ($campos) {
+                        if (count($campos['tipo_canal'])) {
+                            $query->whereIn('tipo_canal', $campos['tipo_canal']);
                         }
-                        if (array_key_exists('linea', $campos)) {
-                            $lineas = $campos['linea'];
-                            $subLineas = SubLinea::whereIn('linea_id', $lineas)->get()->pluck('id')->toArray();
-                            // Esto se hace dentro de un where function para que la comparacion en SQL se haga solamente entre estas 2 opciones 
-                            // Y asi no se compare con los demas campos en caso tal que no se cumplan y asi evitamos que traigan eventos diferentes
-                            $query->where(function ($q) use ($subLineas) {
-                                $q->whereIn('eventos_detalle.sub_linea', $subLineas);
+                    })
+                    ->where(function ($query) use ($campos, $codEventosLimpios) {
+                        $query->where(function ($query) use ($campos, $codEventosLimpios) {
+                            if (array_key_exists('sub_linea', $campos)) {
+                                $subLineas = $campos['sub_linea'];
+                                $query->whereIn('eventos_detalle.sub_linea', $subLineas);
                                 // ->orWhereIn('sub_lineas_eventos_detalle.sub_linea_id', $subLineas);
-                            });
-                        }
-                        if (array_key_exists('especialidad', $campos)) {
-                            $especialidad = $campos['especialidad'];
-                            if ($especialidad != 'TODAS') {
-                                $query->where('especialidad', $especialidad);
-                            }
-                        }
-                        if (array_key_exists('cod_evento', $campos)) {
-                            $codEventos = $campos['cod_evento'];
-                            if (is_numeric($campos['cod_evento'])) {
-                                $query->where("eventos.cod_evento", $codEventos);
-                            }
-                        }
-                    });
-                })
-                ->where(function ($query) use ($campos, $filterMarcaSecundaria, $tipo_evento, $camposExcluidos) {
-                    $query->where(function ($query) use ($campos, $filterMarcaSecundaria, $tipo_evento, $camposExcluidos) {
-                        foreach ($campos as $campo => $value) {
-                            if ($campo == 'numeroDocumento') {
-                                $campo = 'identificacion_medico';
-                            }
-                            if ($campo == 'identificacion_medico') {
-                                $values = $value;
-                                $query->where("$campo", $values);
                                 if (array_key_exists('especialidad', $campos)) {
                                     $especialidad = $campos['especialidad'];
                                     if ($especialidad != 'TODAS') {
-                                        $query->where('especialidad', $especialidad);
+                                        $query->where('sub_lineas_eventos_detalle.especialidad_nombre', $especialidad);
                                     }
                                 }
-                            } else {
-                                if ($campo != 'cod_evento' && $campo != 'tipo_canal' && $campo != 'sub_linea' && $campo != 'linea') {
-                                    if (!in_array($campo, $camposExcluidos)) {
-                                        if ($filterMarcaSecundaria && $campo === 'marca' && $value != 'TODAS') {
-                                            $values = [$value];
-                                            $marcasNombres = Marcas::whereIn('id', $values)->pluck('nombre');
-                                            $query->where(function ($subsubquery) use ($marcasNombres, $campo, $values) {
-                                                $subsubquery->whereIn($campo, $values);
-                                                foreach ($marcasNombres as $marcaNombre) {
-                                                    $subsubquery->orWhere('marca_secundaria', 'like', '%' . $marcaNombre . '%');
-                                                }
-                                            });
+                            }
+                            if (array_key_exists('linea', $campos)) {
+                                $lineas = $campos['linea'];
+                                $subLineas = SubLinea::whereIn('linea_id', $lineas)->get()->pluck('id')->toArray();
+                                // Esto se hace dentro de un where function para que la comparacion en SQL se haga solamente entre estas 2 opciones 
+                                // Y asi no se compare con los demas campos en caso tal que no se cumplan y asi evitamos que traigan eventos diferentes
+                                $query->where(function ($q) use ($subLineas) {
+                                    $q->whereIn('eventos_detalle.sub_linea', $subLineas);
+                                    // ->orWhereIn('sub_lineas_eventos_detalle.sub_linea_id', $subLineas);
+                                });
+                            }
+                            if (array_key_exists('especialidad', $campos)) {
+                                $especialidad = $campos['especialidad'];
+                                if ($especialidad != 'TODAS') {
+                                    $query->where('especialidad', $especialidad);
+                                }
+                            }
+                            if (array_key_exists('cod_evento', $campos)) {
+                                // dd('ENTRE', is_numeric($codEventosLimpios), $campos['cod_evento']);
+
+                                if (is_array($codEventosLimpios) && count($codEventosLimpios) > 0) {
+                                    // dd('HOLA');
+                                    $query->whereIn("eventos.cod_evento", $codEventosLimpios);
+                                }
+                            }
+                        });
+                    })
+                    ->where(function ($query) use ($campos, $filterMarcaSecundaria, $tipo_evento, $camposExcluidos) {
+                        $query->where(function ($query) use ($campos, $filterMarcaSecundaria, $tipo_evento, $camposExcluidos) {
+                            foreach ($campos as $campo => $value) {
+                                if ($campo == 'numeroDocumento') {
+                                    $campo = 'identificacion_medico';
+                                }
+                                if ($campo == 'identificacion_medico') {
+                                    $values = $value;
+                                    $query->where("$campo", $values);
+                                    if (array_key_exists('especialidad', $campos)) {
+                                        $especialidad = $campos['especialidad'];
+                                        if ($especialidad != 'TODAS') {
+                                            $query->where('especialidad', $especialidad);
                                         }
-                                        if ($campo == 'origen') {
-                                            if ($value != 'TODAS') {
-                                                $query->whereIn("$campo", [$value]);
+                                    }
+                                } else {
+                                    if ($campo != 'cod_evento' && $campo != 'tipo_canal' && $campo != 'sub_linea' && $campo != 'linea') {
+                                        if (!in_array($campo, $camposExcluidos)) {
+                                            if ($filterMarcaSecundaria && $campo === 'marca' && $value != 'TODAS') {
+                                                $values = [$value];
+                                                $marcasNombres = Marcas::whereIn('id', $values)->pluck('nombre');
+                                                $query->where(function ($subsubquery) use ($marcasNombres, $campo, $values) {
+                                                    $subsubquery->whereIn($campo, $values);
+                                                    foreach ($marcasNombres as $marcaNombre) {
+                                                        $subsubquery->orWhere('marca_secundaria', 'like', '%' . $marcaNombre . '%');
+                                                    }
+                                                });
+                                            }
+                                            if ($campo == 'origen') {
+                                                if ($value != 'TODAS') {
+                                                    $query->whereIn("$campo", [$value]);
+                                                }
                                             }
                                         }
                                     }
                                 }
                             }
-                        }
-                        if ($tipo_evento != 'TODAS' && $tipo_evento) {
-                            $query->where('material', $tipo_evento);
-                        }
-                    });
-                })
-                ->whereNotNull('fecha_evento')
-                ->groupByRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY')")
-                ->orderByRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY') ASC")
-                ->get();
+                            if ($tipo_evento != 'TODAS' && $tipo_evento) {
+                                $query->where('material', $tipo_evento);
+                            }
+                        });
+                    })
+                    ->whereNotNull('fecha_evento')
+                    ->groupByRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY')")
+                    ->orderByRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY') ASC")
+                    ->get();
+            }
             // dd($campanas->toSql(), $campanas->getBindings());
         } else {
             $campanas = Eventos::query()->selectRaw("TO_DATE(to_char(fecha_evento, 'MM-YY'),'MM-YY') as fecha_formateada, COUNT(DISTINCT eventos.cod_evento) AS campanas")
@@ -1413,9 +1430,9 @@ public function data_prescripciones_refactorizado(Request $request)
                             }
                         }
                         if (array_key_exists('cod_evento', $campos)) {
-                            $codEventos = $campos['cod_evento'];
-                            if (is_numeric($campos['cod_evento'])) {
-                                $query->where("eventos.cod_evento", $codEventos);
+                            $codEventosLimpios = $this->gerenteMarcaFilter->cleanCodEvento($campos['cod_evento']);
+                            if (is_array($codEventosLimpios && count($codEventosLimpios) > 0)) {
+                                $query->where("eventos.cod_evento", $codEventosLimpios);
                             }
                         }
                     });
diff --git a/app/Services/EventosFilter.php b/app/Services/EventosFilter.php
index c80e4c0..6fea2de 100644
--- a/app/Services/EventosFilter.php
+++ b/app/Services/EventosFilter.php
@@ -46,7 +46,7 @@ public static function applyFilters($query, $campos)
             }
             if (array_key_exists('cod_evento', $campos)) {
                 $codEventos = explode(',', $campos['cod_evento']);
-                if (is_numeric($campos['cod_evento'])) {
+                if (is_array($codEventos) && count($codEventos) > 0) {
                     $query->whereIn("eventos.cod_evento", $codEventos);
                 }
             }
diff --git a/app/Services/GerenteMarcaFilter.php b/app/Services/GerenteMarcaFilter.php
index e10dbf7..b891a41 100644
--- a/app/Services/GerenteMarcaFilter.php
+++ b/app/Services/GerenteMarcaFilter.php
@@ -13,6 +13,12 @@
 /// ACTUALEMNTE ESTA CLASE NO SE USA PARA NADA SE PUEDE ELIMINAR O SE PUEDE DEJAR PARA EN UN FUTURO REFACTORIZAR EL CODIGO DE G.MARCA
 class GerenteMarcaFilter {
 
+    public function cleanCodEvento(string $codEvento): array{
+        return array_map(function ($evento) {
+            return str_replace(['[', ']'], '', $evento);
+        }, explode(',', $codEvento));    
+    }
+
 
 
 
@@ -66,13 +72,10 @@ public static function filterSubLinea($query, $campos){
 
 
 
-    public static function filtrarPorDataMarca($query,$campos,$marca = null, $marcaId) {
+    public static function filtrarPorDataMarca($query,$campos, $marcaId) {
         // $marcaId = $request->get('marcas');
         // dd($marcaId);
-    if ($marcaId == null) {
-        // dd('dsdsaasd');
-    }
-    else{
+
             foreach ($campos as $campo => $value) {    
             if($campo == 'marcas' && $value != 'TODAS'){
                     $marcas = Marcas::find($value);
@@ -97,7 +100,7 @@ public static function filtrarPorDataMarca($query,$campos,$marca = null, $marcaI
                 }
             }
         }
-    }
+    
 }
 
 
diff --git a/resources/js/kangoobot/helper/helpGetSwTipoConsulta.js b/resources/js/kangoobot/helper/helpGetSwTipoConsulta.js
index 888dc36..2b62261 100644
--- a/resources/js/kangoobot/helper/helpGetSwTipoConsulta.js
+++ b/resources/js/kangoobot/helper/helpGetSwTipoConsulta.js
@@ -1,4 +1,5 @@
 import $ from 'jquery';
+import { filter } from 'lodash';
 
 function getSwTipoConsulta(){
 
@@ -41,7 +42,10 @@ function getSwTipoConsulta(){
         swTipoConsulta = 'dataMarca';
     }
 
-    if(filter_cod_evento.length > 0){
+    // console.log('Este es el de tipo consulta', filter_cod_evento.length > 2, filter_cod_evento);
+    
+
+    if(filter_cod_evento.length > 2){
         swTipoConsulta = 'codEvento';
     }
 
diff --git a/resources/js/kangoobot/index.js b/resources/js/kangoobot/index.js
index 04d8da6..8362eef 100644
--- a/resources/js/kangoobot/index.js
+++ b/resources/js/kangoobot/index.js
@@ -22,6 +22,7 @@ function kangoobotMain() {
         document.getElementById('btnModulePerfilOmnicanal').addEventListener('click', modulePerfilOmnicanalMain);
         if (window.rolUsuario == 2 || window.rolUsuario == 1) {
             document.getElementById('btnModuleRolGerenteMarca').addEventListener('click', rolGerenteMarcaMain)
+            localStorage.removeItem('cod_evento');
         }
         if (window.rolUsuario == 1) {
             document.getElementById('btnModuleGerenteLinea').addEventListener('click', moduleGerenteLinea);
diff --git a/resources/js/kangoobot/moduleDetalleRepresentante/index.js b/resources/js/kangoobot/moduleDetalleRepresentante/index.js
index 8c32f0c..33f2bf3 100644
--- a/resources/js/kangoobot/moduleDetalleRepresentante/index.js
+++ b/resources/js/kangoobot/moduleDetalleRepresentante/index.js
@@ -54,6 +54,11 @@ $(document).ready(function () {
 
     let isRequestInProgress = false;
 
+
+    /**
+     * Esta es la funcion inicial que se encarga de cargar los componentes y de realizar todas las peticiones
+     * @returns {Promise<void>}
+     */
     async function iniciarComponentes() {
         if (isRequestInProgress) return;
         isRequestInProgress = true;
@@ -76,6 +81,15 @@ $(document).ready(function () {
         });
     };
 
+
+    /**
+     * ESta funcion sirve para guardar las respuesta de las peticiones en la cache
+     * @param {Es la respuesta de la peticion que debe gaurdarse} response 
+     * @param {Lo filtros que estan aplicados en el momento} filtro 
+     * @param {el nombre con el cual se guarda} nombreFiltro 
+     * @returns 
+     */
+
     window.saveCache = async function saveCache(response, filtro = false, nombreFiltro = '') {
         try {
             const cacheName = filtro && nombreFiltro !== '' && nombreFiltro !== undefined
@@ -127,7 +141,10 @@ $(document).ready(function () {
 
 
 
-
+    /**
+     * Esta funcion sirve para verificar si la cache esta expirada y si lo esta la elimina
+     * @returns {Promise<boolean>} isCacheValid
+     */
     async function checkCacheAndDeleteIfExpired() {
         const cache = await caches.open('kangoobot');
         const keys = await cache.keys();
@@ -211,6 +228,9 @@ $(document).ready(function () {
 
     }
 
+    /**
+     *  Función para limpiar el canal seleccionado
+     */
     window.limpiarCanalSeleccionado = function limpiarCanalSeleccionado() {
 
         let currentCanalSeleccionado = $('.filtroCanal').data('canal');
@@ -241,6 +261,12 @@ $(document).ready(function () {
         $('.textoVistaTabla').addClass('d-none');
     }
 
+    /**
+     * 
+     * @param {recibe el nombre de la cache con este nombre dependiendo del que llegue es la cache que va a usar} cacheName 
+     * @returns {Promise<void>}
+     */
+
     window.cargarMarcasParrilla = async function cargarMarcasParrilla(cacheName) {
         let selectMarcas = $('#selectMarcasRepresentante');
         selectMarcas.empty();
@@ -297,12 +323,12 @@ $(document).ready(function () {
     function checkConnection() {
         const online = window.navigator.onLine;
 
-        console.log('Conexión a internet:', online);
-        
+        // console.log('Conexión a internet:', online);
+
 
         if (!online) {
             if (mostrarAlerta) {
-                mostrarAlerta = false; // Evitar múltiples alertas.
+                mostrarAlerta = false;
                 Swal.fire({
                     title: '¡Atención!',
                     text: 'No tienes conexión a internet, por favor revisa tu conexión.',
@@ -317,7 +343,7 @@ $(document).ready(function () {
                 icon: 'success',
             });
             statusConex = true;
-            mostrarAlerta = true; // Permitir alertas nuevamente.
+            mostrarAlerta = true;
         }
         return online;
     }
